<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        
        
        .show-button{
            background-color: mediumvioletred;
            font-size: x-large;
            color: black;
            display: inline-block;
            padding: 20px;
        }

        .hidden-content{
            opacity: 0;
        }
        
        .show-button + .hidden-content{
            transition-property: all;
            transition-duration: 1s;
            transition-timing-function: ease-in-out;

              
        }

        .show-button:hover + .hidden-content{
            opacity: 1;
            background-color: blanchedalmond;
            
        }


       
    </style>


</head>
<body>
    <div class="container">
        <div class="show-button">
            SHOW TEXT
        </div>
        <div class="hidden-content">
            <p class="hidden-text">
                Lorem ipsum dolor sit, amet consectetur adipisicing elit. 
                At iusto minima vitae provident autem soluta aspernatur 
                assumenda id placeat laudantium?
            </p>
            <img class="hidden-img" src="./flower.jpg" alt="">
        </div>
        
    </div>
    

    
</body>
</html>